Submit Hint Search The Forums LinksStatsPollsHeadlinesRSS
14,000 hints and counting!

Resolve a Java dependency error in Fink UNIX
You may receive a build error when compiling some packages in Fink of the form:

Can't resolve dependency "system-java-dev (>= 1.5-1)" for package...

This is due to the recent Apple Java update [crarko adds: discussed in this previous hint] and how the developer interfaces for Java are now distributed.

From the Fink homepage: 'Users will also need to download an appropriate version of the Java Developer Package from The Apple Developer Connection site for all of the the system-java-dev packages to show up on 10.5 and 10.6.'

[crarko adds: The link to ADC above does require a free membership in the Apple Developer Program to access the Java developer packages.]
    •    
  • Currently 3.50 / 5
  You rated: 4 / 5 (4 votes cast)
 
[6,246 views]  

Resolve a Java dependency error in Fink | 3 comments | Create New Account
Click here to return to the 'Resolve a Java dependency error in Fink' hint
The following comments are owned by whoever posted them. This site is not responsible for what they say.
Resolve a Java dependency error in Fink
Authored by: asmeurer on Nov 03, '10 06:27:17PM

You also need to run fink selfupdate to get the latest version of fink.



[ Reply to This | # ]
Resolve a Java dependency error in Fink
Authored by: asmeurer on Nov 03, '10 06:50:18PM

Another warning: make sure you download the appropriate one for 10.5 or 10.6. The one at the top of the list is for 10.5, and I just wasted the last 10 minutes downloading it after which the installer told me that it was for Leopard only.



[ Reply to This | # ]
Resolve a Java dependency error in Fink
Authored by: namu on Aug 27, '12 12:38:49PM

Hi,

I am having the same problem trying to install kdevelop using fink. I did get the latest Java Developer (39529_javadeveloper_for_mac_os_x_10.6_update_9__10m3720.dmg) from Apple, installed it, restarted my computer, and still am experiencing the same issue. Can someone please help? Thank you.



[ Reply to This | # ]